curl
curl -sS "https://gateway.orbit/api/v1/runtime-activations/app-instance/12" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'<string>{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}<string>Node callbacks
Wake an Instance
Caddy on the Instance Node calls this endpoint when the awake marker is absent. The Gateway returns an HTML progress page and starts the desired-running Processes.
GET
/
api
/
v1
/
runtime-activations
/
app-instance
/
{instance}
curl
curl -sS "https://gateway.orbit/api/v1/runtime-activations/app-instance/12" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'<string>{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}<string>Path Parameters
Numeric Instance ID.
Required range:
x >= 1Response
Not used: Caddy proxies the site once the awake marker exists and never calls this endpoint for an awake Instance.